Cyberduck Mountain Duck CLI

#1939 closed defect (fixed)

Cannot Use Applescript and sftp To Delete Remote File

Reported by: anonymous Owned by: dkocher
Priority: normal Milestone: 3.0.2
Component: applescript Version: 3.0b1
Severity: normal Keywords: Applescript, sftp, Delete, Remote File
Cc: Architecture:
Platform:

Description (last modified by dkocher)

This last worked in version 2.7.3 of Cyberduck.

In newer versions, Applescript returns the error:

"Cyberduck got an error: Can't get file "filename" of Browser 1." 
(where filename is the actual name of the file to be deleted).

The code I'm using is:

if exists file filename then
   delete file filename
end if

So Cyberduck is recognizing that the file exists on the remote server. It just can't delete it.

Change History (6)

comment:1 Changed on Apr 19, 2008 at 5:04:54 PM by dkocher

  • Description modified (diff)
  • Status changed from new to assigned

comment:2 Changed on Apr 19, 2008 at 5:10:54 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

You have to write

delete item filename

comment:3 follow-up: Changed on Jun 25, 2008 at 9:26:56 AM by anonymous

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Unfortunately, "delete item filename" results in CyberDuck displaying "cannot delete folder" in its status area (bottom left).

Adding the "display dialog filename" before the attempt to delete shows that the variable "filename" correctly contains the name of the file to be deleted (in this case an image file).

In my case, the containing folder name and the filenames are similar (i.e. the folder name is "LH-413" and the filename is "LH-413.jpg"). Perhaps this is causing the problem?

comment:4 in reply to: ↑ 3 Changed on Jun 25, 2008 at 9:37:50 AM by anonymous

Replying to anonymous:

Sorry, I should also note here that I'm using the sftp protocol to connect to my server.

Unfortunately, "delete item filename" results in CyberDuck displaying "cannot delete folder" in its status area (bottom left).

Adding the "display dialog filename" before the attempt to delete shows that the variable "filename" correctly contains the name of the file to be deleted (in this case an image file).

In my case, the containing folder name and the filenames are similar (i.e. the folder name is "LH-413" and the filename is "LH-413.jpg"). Perhaps this is causing the problem?

comment:5 Changed on Jun 25, 2008 at 10:08:46 AM by anonymous

  • Keywords sftp added
  • Summary changed from Cannot Use Applescript To Delete Remote File to Cannot Use Applescript and sftp To Delete Remote File

comment:6 Changed on Jul 20, 2008 at 10:27:43 PM by dkocher

  • Milestone changed from 3.0 to 3.0.2
  • Resolution set to fixed
  • Status changed from reopened to closed

Please try the latest nightly build from http://update.cyberduck.ch/nightly. This should be resolved as of r4092.

Note: See TracTickets for help on using tickets.
swiss made software